To: Andrew Morton <akpm@osdl.org>
Cc: linux-kernel@vger.kernel.org, Jonathan Brassow <jbrassow@redhat.com>
Subject: [PATCH 12/25] dm mirror: remove trailing space from table

From: Jonathan Brassow <jbrassow@redhat.com>

Remove trailing space from 'dmsetup table' output.

Signed-off-by: Jonathan Brassow <jbrassow@redhat.com>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

Index: linux-2.6.18-rc7/drivers/md/dm-raid1.c
===================================================================
--- linux-2.6.18-rc7.orig/drivers/md/dm-raid1.c	2006-10-13 16:56:29.000000000 +0100
+++ linux-2.6.18-rc7/drivers/md/dm-raid1.c	2006-10-13 17:10:11.000000000 +0100
@@ -1213,9 +1213,9 @@ static int mirror_status(struct dm_targe
 		break;
 
 	case STATUSTYPE_TABLE:
-		DMEMIT("%d ", ms->nr_mirrors);
+		DMEMIT("%d", ms->nr_mirrors);
 		for (m = 0; m < ms->nr_mirrors; m++)
-			DMEMIT("%s %llu ", ms->mirror[m].dev->name,
+			DMEMIT(" %s %llu", ms->mirror[m].dev->name,
 				(unsigned long long)ms->mirror[m].offset);
 	}
 
